org.richfaces.fragment.autocomplete

## Class RichFacesAutocomplete.AdvancedAutocompleteInteractions

- java.lang.Object
- - org.richfaces.fragment.autocomplete.RichFacesAutocomplete.AdvancedAutocompleteInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesAutocomplete

      public class RichFacesAutocomplete.AdvancedAutocompleteInteractions
      extends Object
      implements VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesAutocomplete.AdvancedAutocompleteInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TextInputComponentImpl` | `clear(ClearType clearType)` Clears the value of autocomplete's input field.
    `TextInputComponentImpl` | `getInput()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `protected ScrollingType` | `getScrollingType()`
    `List<org.openqa.selenium.WebElement>` | `getSuggestionsElements()`
    `protected String` | `getSuggestionsSelectorTemplate()`
    `long` | `getTimeoutForSuggestionsToBeNotVisible()`
    `long` | `getTimeoutForSuggestionsToBeVisible()`
    `String` | `getToken()`
    `protected boolean` | `isSelectFirst()`
    `boolean` | `isVisible()`
    `void` | `setScrollingType()`
    `void` | `setScrollingType(ScrollingType type)`
    `void` | `setTimeoutForSuggestionsToBeNotVisible(long timeoutInMilliseconds)`
    `void` | `setTimeoutForSuggestionsToBeVisible(long timeoutInMilliseconds)`
    `void` | `setToken()`
    `void` | `setToken(String value)`
    `WaitingWrapper` | `waitForSuggestionsToBeNotVisible()`
    `WaitingWrapper` | `waitForSuggestionsToBeVisible()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesAutocomplete.AdvancedAutocompleteInteractions

          public RichFacesAutocomplete.AdvancedAutocompleteInteractions()

  - ### Method Detail

    - #### clear

          public TextInputComponentImpl clear(ClearType clearType)

      Clears the value of autocomplete's input field.
      Parameters:
        `clearType` - defines how the input should be cleared, e.g. by using backspace key, by delete key, by JavaScript, etc.
      Returns:
        input component

    - #### getInput

          public TextInputComponentImpl getInput()

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### getScrollingType

          protected ScrollingType getScrollingType()

    - #### getSuggestionsSelectorTemplate

          protected String getSuggestionsSelectorTemplate()

    - #### getSuggestionsElements

          public List<org.openqa.selenium.WebElement> getSuggestionsElements()

    - #### getToken

          public String getToken()

    - #### setToken

          public void setToken()

    - #### setToken

          public void setToken(String value)

    - #### setScrollingType

          public void setScrollingType()

    - #### setScrollingType

          public void setScrollingType(ScrollingType type)

    - #### waitForSuggestionsToBeNotVisible

          public WaitingWrapper waitForSuggestionsToBeNotVisible()

    - #### waitForSuggestionsToBeVisible

          public WaitingWrapper waitForSuggestionsToBeVisible()

    - #### setTimeoutForSuggestionsToBeNotVisible

          public void setTimeoutForSuggestionsToBeNotVisible(long timeoutInMilliseconds)

    - #### setTimeoutForSuggestionsToBeVisible

          public void setTimeoutForSuggestionsToBeVisible(long timeoutInMilliseconds)

    - #### getTimeoutForSuggestionsToBeNotVisible

          public long getTimeoutForSuggestionsToBeNotVisible()

    - #### getTimeoutForSuggestionsToBeVisible

          public long getTimeoutForSuggestionsToBeVisible()

    - #### isSelectFirst

          protected boolean isSelectFirst()

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `VisibleComponentInteractions`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.